Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws
Class AmazonWebServiceClient

    java.lang.Object
      com.amazonaws.AmazonWebServiceClient

Direct Known Subclasses:
  AmazonAutoScalingClient, AmazonCloudWatchClient, AmazonEC2Client, AmazonElasticLoadBalancingClient, AmazonElasticMapReduceClient, AmazonImportExportClient, AmazonRDSClient, AmazonS3Client, AmazonSimpleDBClient, AmazonSNSClient, AmazonSQSClient

    public abstract class AmazonWebServiceClient

extends Object

Abstract base class for Amazon Web Service Java clients.

Responsible for basic client capabilities that are the same across all AWS SDK Java clients (ex: setting the client endpoint).

Constructor Summary
`AmazonWebServiceClient(ClientConfiguration clientConfiguration)` Constructs a new AmazonWebServiceClient object using the specified configuration.

Method Summary
`void` | `setEndpoint(String endpoint)` Overrides the default endpoint for this client.
`void` | `shutdown()` Shuts down this client object, releasing any resources that might be held open.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmazonWebServiceClient

    public AmazonWebServiceClient(ClientConfiguration clientConfiguration)

  Constructs a new AmazonWebServiceClient object using the specified configuration.

  Parameters:
    `clientConfiguration` - The client configuration for this client.

Method Detail

### setEndpoint

    public void setEndpoint(String endpoint)
                     throws IllegalArgumentException

  Overrides the default endpoint for this client. Callers can use this method to control which AWS region they want to work with.

  Callers can pass in just the endpoint (ex: "ec2.amazonaws.com") or a full URL, including the protocol (ex: "https://ec2.amazonaws.com"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

  For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

  Parameters:
    `endpoint` - The endpoint (ex: "ec2.amazonaws.com") or a full URL, including the protocol (ex: "https://ec2.amazonaws.com") of the region specific AWS endpoint this client will communicate with.
  Throws:
    `IllegalArgumentException` - If any problems are detected with the specified endpoint.

### shutdown

    public void shutdown()

  Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.